﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGValidationCase
{
    class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();
            for (int i = 1; i < 10; i++)
            {
                Data.Add(new SampleData() { User = "User " + i, Password = "Password" + i });
            }
        }
    }

    public class SampleData : INotifyPropertyChanged
    {

        private string user;
        private string pswd;

        public string User
        {
            get { return user; }
            set
            {

                user = value;                
                OnPropertyChanged("User");
            }
        }

        public string Password
        {
            get { return pswd; }
            set
            {
                pswd = value;                
                OnPropertyChanged("Password");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected virtual void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }
    }    
}
